org.apache.ignite.internal.visor.cache

## Enum VisorModifyCacheMode

- java.lang.Object
- - java.lang.Enum<VisorModifyCacheMode>
  - - org.apache.ignite.internal.visor.cache.VisorModifyCacheMode

All Implemented Interfaces:
  Serializable, Comparable<VisorModifyCacheMode>

    public enum VisorModifyCacheMode
    extends Enum<VisorModifyCacheMode>

Enumeration of all supported cache modify modes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET` Get value from cache.
`PUT` Put new value into cache.
`REMOVE` Remove value from cache.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorModifyCacheMode` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorModifyCacheMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorModifyCacheMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUT

    public static final VisorModifyCacheMode PUT

Put new value into cache.

#### GET

    public static final VisorModifyCacheMode GET

Get value from cache.

#### REMOVE

    public static final VisorModifyCacheMode REMOVE

Remove value from cache.

### Method Detail

#### values

    public static VisorModifyCacheMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorModifyCacheMode c : VisorModifyCacheMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorModifyCacheMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorModifyCacheMode fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022